# Devingen


## Getting Started

For development, run;

```bash
npm start
```

To build the app for production, run:

```bash
npm run build
```

To run the unit tests once, run:

```
npm test
```

To run the unit tests and watch for file changes during development, run:

```
npm run test.watch
```

## To serve a local CDN

```
cd dist && http-server -p 8000 --cors
```

## To publish components library

```
nvm use && npm run clean && npm i && npm run build
```

### Deploy to QA One
```shell script
sepet upload \
  --headers api-key=PUT_API_KEY_HERE \
  --bucket dvn-web-components-qa-one \
  --version 0.0.1 \
  ./dist
```

Optionally upload to Sepet via `cd dist & sepet upload -v 0.0.40 -b dvn .`

## To deploy Mentornity Console

Build the output.
```shell script
nvm use && npm run clean && npm i && npm run build:mentornity.console
```

### Deploy to QA One 
```shell script
sepet upload \
  --headers api-key=PUT_API_KEY_HERE \
  --bucket mentornity-console-qa-one \
  --version 0.0.8 \
  ./www
  
sepet update-version \
  --headers api-key=PUT_API_KEY_HERE \
  --id "634b3bf09433b917d67f6bcf" \
  0.0.8
```

### Deploy to Production
```shell script
sepet upload \
  --headers api-key=PUT_API_KEY_HERE \
  --bucket mentornity-console \
  --version 0.0.14 \
  ./www
  
sepet update-version \
  --headers api-key=PUT_API_KEY_HERE \
  --id "607ba5d90881bf959585b51e" \
  0.0.14
```

### Run output locally
```shell script
cd www
http-server-spa . index.html 8000
```

## To deploy Devingen

```shell script
# build output
nvm use && npm run clean && npm i && npm run build:devingen.io

# Upload to Sepet via 
sepet upload \
  --headers api-key=PUT_API_KEY_HERE \
  --bucket devingen-io \
  --version 0.0.10 \
  ./www
  
sepet update-version \
  --headers api-key=PUT_API_KEY_HERE \
  --id "607a4784cadf9243a739fc41" \
  0.0.10
```

## To serve vanilla HTML app

Install this package https://www.npmjs.com/package/http-server-spa

```
npm install http-server-spa -g
```

Navigate to the sample folder

```
cd sample
```

Run the server

```
http-server-spa . sample-mentornity-console.html 8000
```